/* General use classes */
.text {
    font-family: "Gotham-Book";
    color: white;
}
.bold-text {
    font-family: "Gotham-Black";
    color: white;
}
.highlight-text {
    font-family: "Gotham-Black";
    color: #30d87b;
}

.row-start {
    display: flex;
    justify-content: flex-start;
}
.row-even {
    display: flex;
    justify-content: space-evenly;
}
.row-center {
    display: flex;
    justify-content: center;
}
.row-around {
    display: flex;
    justify-content: space-around;
}
.row-between {
    display: flex;
    justify-content: space-between;
}
.col-between {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.col-even {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}
.col-start {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

/* General styles (mobile version) */

.desktop {
    display: none;
}
#last-left-side-mb, #actual-left-side-mb {
    background-position: center;
    background-repeat: no-repeat;
    text-align: center;
    font-family: "Gotham-Book";
    border-radius: 15px;
}
#last-left-side-mb {
    background-image: url("/css/random/torneos/fondo-ultimo-mb.png");
    padding: 30px 50px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#actual-left-side-mb {
    background-image: linear-gradient(
      320deg,
      hsl(319deg 54% 14%) 0%,
      hsl(317deg 53% 13%) 11%,
      hsl(315deg 51% 12%) 22%,
      hsl(313deg 49% 11%) 33%,
      hsl(310deg 47% 10%) 44%,
      hsl(306deg 46% 9%) 56%,
      hsl(301deg 47% 8%) 67%,
      hsl(296deg 53% 7%) 78%,
      hsl(290deg 62% 6%) 89%,
      hsl(283deg 72% 6%) 100%
    );
    padding: 50px;
}
#heading__title, #actual-heading__title-mb,
#actual-heading__title-dk, #last-heading__title-dk, 
#heading__claim, #heading__claim-dk {
    font-family: "Gotham-Black";
}
#heading__subtitle, #actual-heading__subtitle-mb, 
#actual-heading__subtitle-dk, #last-heading__subtitle-dk {
    font-family: "Gotham-Thin";
}
#heading__title, #actual-heading__title-mb, 
#actual-heading__title-dk, #last-heading__title-dk {
    font-size: 30px;
}
#heading__subtitle, #actual-heading__subtitle-mb, 
#actual-heading__subtitle-mb, #heading__claim, #heading__claim-dk {
    font-size: 20px;
}
#heading__subtitle {
    margin: 10px 0;
}
#heading__claim-dk {
    display: inline;
}
#trophy-image-mb {
    max-width: none;
    width: 100vw; /*120vw*/
    margin-top: 20px;
}
.top-rank-container, .top-rank-container-dk, 
.top-first-half, #top-first-half-dk, 
.top-second-half {
    display: flex;
    align-items: center;
}
.top-rank-container, .top-rank-container-dk {
    justify-content: space-around;
    background: #262626;
    border-radius: 1.2vw;
    padding: 5px;
    font-family: "Gotham-Book";
    margin-top: 10px;
}
.top-first-half, .top-second-half {
    justify-content: center;
    width: 50%;
}
.top-second-half {
    flex-direction: column;
}
.top-separation-line {
    width: 1px;
    background-color: white;
    height: 40px;
    margin-left: 20px;
    margin-right: 8px;
}
.top-rank {
    font-family: "Gotham-Black" !important;
    font-size: 40px;
    padding-top: 6px;
}
.top-crown-img {
    width: 50px;
}
.top-amount {
    margin-top: 0;
    font-family: "Gotham-Black" !important;
    font-size: .8em;
}
.table__block {
    margin-top: 10px;
}
#last-winners-container-mb .bp2__upper__card, 
#last-winners-container-mb .bp2__lower__card,
#actual-winners-container-mb .bp2__upper__card, 
#actual-winners-container-mb .bp2__lower__card,
#actual-winners-container-dk .bp2__upper__card, 
#actual-winners-container-dk .bp2__lower__card, 
#last-winners-container-dk .bp2__upper__card, 
#last-winners-container-dk .bp2__lower__card {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: "Gotham-Book";
}
#last-winners-container-mb .bp2__upper__card > h3, 
#actual-winners-container-mb .bp2__upper__card > h3, 
#actual-winners-container-dk .bp2__upper__card > h3, 
#last-winners-container-dk .bp2__upper__card > h3 {
    font-family: "Gotham-Black";
    font-size: 16px;
}
#last-winners-container-mb .bp2__lower__card, 
#actual-winners-container-mb .bp2__lower__card, 
#actual-winners-container-dk .bp2__lower__card, 
#last-winners-container-dk .bp2__lower__card {
    flex-direction: column;
    padding: 20px 0 20px 0;
}
.rank-container {
    width: 100%;
    display: flex;
}
.column-item {
    width: 33%;
    margin-top: 0;
}
.separation-line, .separation-line-dk {
    width: 90%;
    margin: 15px 0;
}

#play-btn-mb, #play-btn-dk {
    width: 100%;
}
#actual-winners-container-mb {
    margin-top: 20px;
}
#update-info-mb, #update-info-dk {
    text-align: center;
    font-family: "Gotham-Book";
    font-size: 14px;
    margin-top: 20px;
}
#actual-claim-mb, #actual-claim-dk {
    text-align: center;
    margin: 20px 0;
    font-size: 16px;
}
.counter-number {
    font-size: 28px;
    padding: 9px 14px 8px 8px;
    background: linear-gradient(90deg, rgba(0,102,51,1) 0%, rgba(48,225,123,1) 100%);
    margin: 0 1px;
    max-width: 35px;
}
.time-unit {
    font-size: 10px;
    margin-top: 10px;
}
@media screen and (max-width: 300px) {
    #trophy-image-mb {
        max-width: 300px !important;
    }
}
@media screen and (min-width: 301px) and (max-width: 320px) {
    #trophy-image-mb {
        max-width: 350px !important;
    }
}
@media screen and (max-width: 350px) {
    #heading__title, #actual-heading__title {
        font-size: 25px;
    }
    #heading__subtitle, #actual-heading__subtitle, 
    #heading__claim, #heading__claim-dk {
        font-size: 15px;
    }
    #trophy-image-mb {
        max-width: 400px;
    }
    .ranking-table tr {
        font-size: 10px;
    }
}
@media screen and (max-width: 380px) {
    .counter-number {
        font-size: 15px;
        max-width: 25px;
    }
    .time-unit {
        font-size: 8px;
    }
}
@media screen and (max-width: 450px) {
    #last-left-side-mb {
        padding: 30px 10px 10px;
    }
    #actual-left-side-mb {
        padding: 50px 20px;
    }
}
@media screen and (min-width: 1001px) { /*(min-width: 601px) */
    .mobile {
        display: none !important;
    }
    .desktop {
        display: block;
    }
    #actual-ranking, #last-ranking {
        padding: none;
    }
    #actual-ranking-dk, #last-ranking-dk {
        background-position: center;
        background-repeat: no-repeat;
        padding: 50px;
        text-align: center;
        font-family: "Gotham-Book";
        border-radius: 15px;
    }
    #actual-ranking-dk {
        background-image: linear-gradient(
          320deg,
          hsl(319deg 54% 14%) 0%,
          hsl(317deg 53% 13%) 11%,
          hsl(315deg 51% 12%) 22%,
          hsl(313deg 49% 11%) 33%,
          hsl(310deg 47% 10%) 44%,
          hsl(306deg 46% 9%) 56%,
          hsl(301deg 47% 8%) 67%,
          hsl(296deg 53% 7%) 78%,
          hsl(290deg 62% 6%) 89%,
          hsl(283deg 72% 6%) 100%
        );
    }
    #last-ranking-dk {
        background-image: linear-gradient(
          320deg,
          hsl(319deg 54% 14%) 0%,
          hsl(317deg 53% 13%) 11%,
          hsl(315deg 51% 12%) 22%,
          hsl(313deg 49% 11%) 33%,
          hsl(310deg 47% 10%) 44%,
          hsl(306deg 46% 9%) 56%,
          hsl(301deg 47% 8%) 67%,
          hsl(296deg 53% 7%) 78%,
          hsl(290deg 62% 6%) 89%,
          hsl(283deg 72% 6%) 100%
        );
    }
    #table-container, #lower-table-container-dk {
        display: flex;
        align-items: center;
    }
    #table-container {
        justify-content: space-between;
    }
    #lower-table-container-dk {
        justify-content: space-around;
    }
    #upper-table-container-dk, #last-upper-table-container-dk {
        margin-bottom: 30px;
    }
    #lower-table-container-dk {
        align-items: flex-start;
    }
    .left-hand-side, .right-hand-side {
        width: 45%;
    }
    #actual-left-side-dk {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        width: 40%;
        padding-top: 5px;
    }
    #play-btn-dk {
        font-size: 30px;
        width: 97%;
        height: 60px;
        margin-top: 15px;
    }
    #actual-claim-dk {
        font-size: 27px;
    }
    #actual-right-side-dk, #last-right-side-dk {
        width: 35%;
    }
    #actual-winners-container-dk .bp2__lower__card, 
    #last-winners-container-dk .bp2__lower__card {
        padding: 10px 0;
    }
    #actual-winners-container-dk .separation-line, 
    #last-winners-container-dk .separation-line {
        margin: 10px 0;
    }
    #update-info-dk {
        font-size: 16px;
    }
    .ranking-table {
        max-width: unset;
    }
    #top-winners-container-dk {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .top-rank-container-dk, .top-first-half-dk {
        flex-direction: column;
    }
    .top-rank-container-dk {
        padding: 20px;
        border-radius: 10px;
        width: 30%
    }
    .top-separation-line-dk {
        margin-top: 20px;
    }
    .separation-line-dk {
        margin: 12px 0;
    }
}
@media screen and (min-width: 601px) and (max-width: 700px) {
    #heading__title, #actual-heading__title-dk, #last-heading__title-dk {
        font-size: 25px;
    }
    #heading__subtitle, #actual-heading__subtitle-dk, 
    #last-heading__subtitle-dk, #heading__claim, #heading__claim-dk {
        font-size: 15px;
    }
    .ranking-table tr {
        font-size: 10px;
    }
    #table-container {
        padding: 50px 10px;
    }
}
@media screen and (max-width: 900px) {
    #actual-heading__title-dk, #last-heading__title-dk {
        font-size: 20px;
    }
    #actual-heading__subtitle-dk, #last-heading__subtitle-dk, 
    #actual-claim-dk {
        font-size: 18px;
    }
    #lower-table-container-dk {
        justify-content: space-between;
    }
    #actual-left-side-dk {
        margin-left: 30px;
    }
    #play-btn-dk {
        font-size: 20px;
        height: 45px;
    }
    #actual-winners-container-dk .bp2__lower__card, 
    #last-winners-container-dk .bp2__lower__card {
        padding: 5px 0;
    }
    #actual-winners-container-dk .separation-line, 
    #last-winners-container-dk .separation-line {
        margin: 5px 0;
    }
    #actual-winners-container-dk p, 
    #last-winners-container-dk p, #update-info-dk, 
    #actual-winners-container-dk .bp2__upper__card > h3, 
    #last-winners-container-dk .bp2__upper__card > h3  {
        font-size: 12px;
    }
}
@media screen and (min-width: 901px) {
    .counter-number {
        font-size: 40px;
        max-width: 45px;
        padding: 15px 14px 15px 8px;
    }
    .time-unit {
        font-size: 14px;
    }
}
@media screen and (min-width: 1900px) {
    #table-container {
        background-size: cover;
        padding: 50px 120px;
    }
}
@media screen and (min-width: 1900px) and (max-width: 2450px) {
    #title-section, #lobby-section {
        width: 76%;
    }
}
@media screen and (min-width: 2200px) {
    #lower-table-container-dk {
        justify-content: space-evenly;
    }
    #actual-left-side-dk {
        width: 30%;
    }
    #actual-right-side-dk, #last-right-side-dk {
        width: 25%;
    }
}
@media screen and (min-width: 2451px) {
    #title-section, #lobby-section {
        width: 64%;
    }
}